<template>
    <div class="home">
        <h1>Welcome to the Collation Repository</h1>

        <v-card
            v-for="(pin, i) in pins"
            :key="i"
            class="mx-auto"
            outlined>
            <v-list-item
                three-line>
                <v-list-item-content>
                    <v-list-item-title
                        class="headline mb-1">
                        <router-link
                            :to="`/item/${pin.cid}`">
                            {{ pin.cid }}
                        </router-link>
                    </v-list-item-title>
                </v-list-item-content>

                <v-list-item-avatar
                    tile
                    size="80">
                    <v-img
                        height="100%"
                        :src="`http://localhost:3000/api/v1/repository/${pin.cid}/thumbnail`"
                    />
                </v-list-item-avatar>
            </v-list-item>

            <v-card-actions>
                <v-btn
                    text>Download</v-btn>
            </v-card-actions>
        </v-card>
    </div>
</template>

<script>
import axios from 'axios'

export default {
    name: 'Home',
    data() {
        return {
            pins: []
        }
    },
    methods: {
        async init() {
            const result = await axios.get('http://localhost:3000/api/v1/repository')
            this.pins = result.data
        }
    },
    mounted() {
        this.init()
    }
}
</script>
